javax.media.j3d

## Class WakeupCriterion

- java.lang.Object
- - javax.media.j3d.WakeupCondition
  - - javax.media.j3d.WakeupCriterion

- Direct Known Subclasses:
    WakeupOnActivation, WakeupOnAWTEvent, WakeupOnBehaviorPost, WakeupOnCollisionEntry, WakeupOnCollisionExit, WakeupOnCollisionMovement, WakeupOnDeactivation, WakeupOnElapsedFrames, WakeupOnElapsedTime, WakeupOnSensorEntry, WakeupOnSensorExit, WakeupOnTransformChange, WakeupOnViewPlatformEntry, WakeupOnViewPlatformExit

      public abstract class WakeupCriterion
      extends WakeupCondition

  An abstract class specifying a singleton wakeup Criterion. This class consists of several subclasses, each of which specifies one particular wakeup criterion, that criterion's associated arguments (if any), and either a flag that indicates whether this criterion caused a Behavior object to awaken or a return field containing the information that caused the Behavior object to awaken.

  Note that a unique WakeupCriterion object must be used with each instance of a Behavior. Sharing wakeup criteria among different instances of a Behavior is illegal. Similarly, a unique WakeupCriterion object must be used for each individual element in the set of arrays used to construct WakeupOr, WakeupAnd, WakeupOrOfAnds, and WakeupAndOfOrs objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WakeupCriterion()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasTriggered()` Returns true if this criterion triggered the wakeup.

    - ### Methods inherited from class javax.media.j3d.WakeupCondition

      `allElements, triggeredElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WakeupCriterion

          public WakeupCriterion()

  - ### Method Detail

    - #### hasTriggered

          public boolean hasTriggered()

      Returns true if this criterion triggered the wakeup.
      Returns:
        true if this criterion triggered the wakeup.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.